function [x,y,t] = ixf_showxy(varargin)
%--------------------------------------------------------------------------
%Function Syntax: [xcoord,ycoord] = ixf_showxy
%Purpose: Display x & y coordinates of plot
%Output: x coordinates and y coordinates.
%Input: None
%Example:
%[x,y] = ixf_showxy
%--------------------------------------------------------------------------

%global structures
[IXG_ST_ERROR, IXG_ST_STDVALUES]=ixf_global_var('libisis_graphics','get','IXG_ST_ERROR','IXG_ST_STDVALUES');

arglist = struct('no_points',[],'display_coords',false,'text',[]);

[parse, args, present] = parse_arguments(varargin, arglist);

% put in " sum (present) ~ length(varargin / 2) or something " 

flag = ixf_checkinit('Currentfigure');

if (flag == IXG_ST_STDVALUES.false)
    ixf_display_error(IXG_ST_ERROR.no_figure);
end

button = 1;
x = [];
y = [];

while button == 1

    [x_temp,y_temp, button] = ginput(1);

    if args.display_coords
        text = [args.text, ' (' num2str(truncdig(x_temp,3)) ', ' num2str(truncdig(y_temp,3)) ')'];
    else
        text = args.text;
    end

    if ~isempty(text)
        t = ixf_place_text(x_temp,y_temp,text);
    end

    x = [x; x_temp];
    y = [y; y_temp];
end